Method: projects.locations.streams.objects.startBackfillJob

Use this method to start a backfill job for the specified stream object.

HTTP request


POST https://datastream.googleapis.com/v1/{object}:startBackfillJob

Path parameters

Parameters
object

string

Required. The name of the stream object resource to start a backfill job for.

Request body

The request body contains data with the following structure:

JSON representation
{
  "eventFilter": {
    object (EventFilter)
  }
}
Fields
eventFilter

object (EventFilter)

Optional. Optional event filter. If not set, or empty, the backfill will be performed on the entire object. This is currently used for partial backfill and only supported for SQL sources.

Response body

Response for manually initiating a backfill job for a specific stream object.

If successful, the response body contains data with the following structure:

JSON representation
{
  "object": {
    object (StreamObject)
  }
}
Fields
object

object (StreamObject)

The stream object resource a backfill job was started for.

Authorization scopes

Requires one of the following OAuth scopes:

  • https://www.googleapis.com/auth/cloud-platform
  • https://www.googleapis.com/auth/cloud-datastream

For more information, see the Authentication Overview.

IAM Permissions

Requires the following IAM permission on the object resource:

  • datastream.objects.startBackfillJob

For more information, see the IAM documentation.